<?php

namespace KupShop\AutomationConfiguratorBundle\Configurator\Interfaces\Conditions\Groups;

abstract class Group implements GroupInterface
{
    /**
     * @var string
     */
    protected $name;
    /**
     * @var string
     */
    protected $title;
    /**
     * @var int
     */
    protected $priority = 0;

    /**
     * @return array
     */
    public function getConfig()
    {
        return ['name' => $this->getName(), 'title' => $this->getTitle(), 'priority' => $this->getPriority()];
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @return int
     */
    public function getPriority()
    {
        return $this->priority;
    }
}
